source: projects/specs/trunk/p/perl-Perl-Critic/perl-Perl-Critic-vl.spec @ 9107

Revision 9107, 16.4 KB checked in by inagaki, 8 years ago (diff)

2014-11-22 Ryoichi INAGAKI <ryo1@…>

  • perl-Config-Tiny, perl-Devel-Cycle, perl-Email-Address, perl-Perl-{Crytic, MinimumVersion?}, perl-Test-MinimumVersion?: updated
  • perl-Test-Memory-Cycle: rebuilt


Line 
1# define bootstrap for initial build
2%define perl_bootstrap 1
3
4Name:           perl-Perl-Critic
5Version:        1.120
6Release:        1%{?_dist_release}
7Summary:        Critique Perl source code for best-practices
8Group:          Development/Libraries
9License:        GPL+ or Artistic
10URL:            http://search.cpan.org/dist/Perl-Critic/
11Source0:        http://search.cpan.org/CPAN/authors/id/T/TH/THALJEF/Perl-Critic-%{version}.tar.gz
12
13BuildRoot:      %{_tmppath}/%{name}-%{version}-root
14BuildArch:      noarch
15Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
16
17# Build process
18BuildRequires:  perl(Module::Build) >= 0.34
19BuildRequires:  perl(Task::Weaken)
20
21# Module requirements
22BuildRequires:  aspell-en
23Requires:       aspell
24BuildRequires:  perl(B::Keywords) >= 1.05
25BuildRequires:  perl(Carp)
26BuildRequires:  perl(charnames)
27BuildRequires:  perl(Config::Tiny) >= 2
28BuildRequires:  perl(Email::Address) >= 1.889
29BuildRequires:  perl(English)
30BuildRequires:  perl(Exception::Class) >= 1.23
31BuildRequires:  perl(Exporter)
32BuildRequires:  perl(File::Basename)
33BuildRequires:  perl(File::Find)
34BuildRequires:  perl(File::Path)
35BuildRequires:  perl(File::Spec)
36BuildRequires:  perl(File::Spec::Unix)
37BuildRequires:  perl(File::Temp)
38BuildRequires:  perl(Getopt::Long)
39BuildRequires:  perl(IO::String)
40BuildRequires:  perl(List::MoreUtils) >= 0.19
41BuildRequires:  perl(List::Util)
42BuildRequires:  perl(Module::Pluggable) >= 3.1
43Requires:       perl(Module::Pluggable) >= 3.1
44BuildRequires:  perl(overload)
45BuildRequires:  perl(Perl::Tidy)
46BuildRequires:  perl(Pod::Parser)
47Requires:       perl(Pod::Parser)
48BuildRequires:  perl(Pod::PlainText)
49BuildRequires:  perl(Pod::Select)
50BuildRequires:  perl(Pod::Spell) >= 1
51BuildRequires:  perl(Pod::Usage)
52BuildRequires:  perl(PPI) >= 1.215
53Requires:       perl(PPI) >= 1.215
54BuildRequires:  perl(PPIx::Regexp) >= 0.010
55BuildRequires:  perl(PPIx::Utilities::Statement) >= 1.001
56BuildRequires:  perl(Readonly) >= 1.03
57BuildRequires:  perl(Scalar::Util)
58BuildRequires:  perl(strict)
59BuildRequires:  perl(String::Format) >= 1.13
60BuildRequires:  perl(Text::ParseWords) >= 3
61BuildRequires:  perl(version) >= 0.77
62BuildRequires:  perl(warnings)
63
64# Optional module requirements
65BuildRequires:  perl(File::HomeDir)
66Requires:       perl(File::HomeDir)
67BuildRequires:  perl(File::Which)
68Requires:       perl(File::Which)
69BuildRequires:  perl(Readonly::XS)
70Requires:       perl(Readonly::XS)
71BuildRequires:  perl(Term::ANSIColor) >= 2.02
72Requires:       perl(Term::ANSIColor) >= 2.02
73
74# Main test suite
75BuildRequires:  perl(Test::Deep)
76BuildRequires:  perl(Test::Memory::Cycle)
77BuildRequires:  perl(Test::More)
78
79# Author tests: not run if we're bootstrapping
80%if 0%{!?perl_bootstrap:1}
81BuildRequires:  perl(Devel::EnforceEncapsulation)
82BuildRequires:  perl(Perl::Critic::Policy::Editor::RequireEmacsFileVariables)
83BuildRequires:  perl(Perl::Critic::Policy::ErrorHandling::RequireUseOfExceptions)
84BuildRequires:  perl(Test::Kwalitee)
85BuildRequires:  perl(Test::Perl::Critic)
86BuildRequires:  perl(Test::Pod) >= 1.00
87BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
88BuildRequires:  perl(Test::Without::Module)
89%endif
90
91# don't "provide" private Perl libs
92%{?perl_default_filter}
93
94Vendor:         Project Vine
95Distribution:   Vine Linux
96Packager:       shaolin
97
98%description
99Perl::Critic is an extensible framework for creating and applying coding
100standards to Perl source code. Essentially, it is a static source code
101analysis engine. Perl::Critic is distributed with a number of
102Perl::Critic::Policy modules that attempt to enforce various coding
103guidelines. Most Policy modules are based on Damian Conway's book Perl
104Best Practices. However, Perl::Critic is not limited to PBP and will
105even support Policies that contradict Conway. You can enable, disable,
106and customize those Polices through the Perl::Critic interface. You can
107also create new Policy modules that suit your own tastes.
108
109%package -n perl-Test-Perl-Critic-Policy
110Summary:        A framework for testing your custom Policies
111Group:          Development/Libraries
112License:        GPL+ or Artistic
113
114%description -n perl-Test-Perl-Critic-Policy
115This module provides a framework for function-testing your custom
116Perl::Critic::Policy modules. Policy testing usually involves feeding it a
117string of Perl code and checking its behavior. In the old days, those strings
118of Perl code were mixed directly in the test script. That sucked.
119
120%prep
121%setup -q -n Perl-Critic-%{version}
122find . -type f -exec chmod -c -x {} ';'
123
124%build
125perl Build.PL installdirs=vendor
126./Build
127
128%install
129./Build install destdir=%{buildroot} create_packlist=0
130%{_fixperms} %{buildroot}
131
132%check
133LC_ALL=en_US ./Build %{!?perl_bootstrap:author}test
134
135%files
136%doc Changes LICENSE README TODO.pod examples/ extras/ tools/
137%{_bindir}/perlcritic
138%{perl_vendorlib}/Perl/
139%{_mandir}/man1/perlcritic.1*
140%{_mandir}/man3/Perl::Critic*.3pm*
141
142%files -n perl-Test-Perl-Critic-Policy
143%{perl_vendorlib}/Test/
144%{_mandir}/man3/Test::Perl::Critic::Policy.3pm*
145
146%changelog
147* Fri Nov 21 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 1.120-1
148- updated to 1.120
149- built with perl 5.16.3
150
151* Thu Mar 01 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.117-2
152- rebuild
153
154* Fri Feb 24 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.117-1
155- initial build for Vine Linux
156
157* Thu Jan 12 2012 Paul Howarth <paul@city-fan.org> - 1.117-2
158- drop %%defattr, no longer needed
159
160* Thu Dec 22 2011 Paul Howarth <paul@city-fan.org> - 1.117-1
161- update to 1.117
162  New Policies:
163  - Variables::ProhibitAugmentedAssignmentInDeclaration reports constructs like
164    'my $x += 1'
165  Policy Changes:
166  - BuiltinFunctions::ProhibitLvalueSubstr: add explicit 'use version'
167    (CPAN RT#68498)
168  - CodeLayout::ProhibitHardTabs: add 'pbp' to the default_themes list
169    (CPAN RT#71093)
170  - ControlStructures::ProhibitMutatingListFunctions now understands that
171    tr///r (introduced in 5.13.7) does not change its operand
172  - ControlStructures::ProhibitMutatingListFunctions now understands that
173    '//=', '<<=', and '>>=' are assignment operators (CPAN RT#70901)
174  - ErrorHandling::RequireCheckingReturnValueOfEval now allows things
175    like grep { eval $_ } (CPAN RT#69489)
176  - Modules::RequireExplicitPackage now has configuraion option
177    allow_import_of, to allow the import of specified modules before the
178    package statement (CPAN RT#72660)
179  - RegularExpressions::ProhibitEnumeratedClasses no longer thinks
180    that [A-Za-z_] matches \w. RT #69322.
181  - RegularExpressions::ProhibitUnusedCaptures now skips the first block of
182    an 'if' or 'elsif' if the regular expression is bound to its operand with
183    the '!~' operator (CPAN RT#69867)
184  - RegularExpressions::ProhibitUnusedCaptures now looks into lists and blocks
185    in the replacement portion of the regular expression if /e is asserted
186    (CPAN RT#72086)
187  - RegularExpressions::RequireDotMatchAnything,
188    RegularExpressions::RequireExtendedFormatting and
189    RegularExpressions::RequireLineBoundaryMatching now honor defaults set with
190    'use re "/modifiers"' (CPAN RT#72151)
191  - Subroutines::ProhibitManyArgs now recognizes '+' as a prototype character
192  - Variables::ProhibitPunctuationVars now recognizes bracketed variables
193    embedded in interpolated strings (e.g. "${$}"); for the purpose of the
194    'allow' configuration, these are considered equivalent to the unbracketed
195    form (CPAN RT#72910)
196  Other Changes:
197  - corrected POD in Perl::Critic::PPI::Utils (CPAN RT#68898)
198  - Perl::Critic::Violation source() method now returns the line containing
199    the violation (not the first line) when the statement containing the
200    violation spans multiple lines
201- this release by THALJEF -> update source URL
202- drop stopwords patch, now included upstream
203
204* Fri Jul 22 2011 Paul Howarth <paul@city-fan.org> - 1.116-6
205- reinstate author tests: META.yml creation issue fixed in perl-5.14.1-182
206
207* Fri Jul 22 2011 Petr Sabata <contyk@redhat.com> - 1.116-5
208- completely disable author tests to avoid Kwalitee META complaints
209
210* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 1.116-4
211- Perl mass rebuild
212
213* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 1.116-3
214- Perl mass rebuild
215
216* Wed Jun 29 2011 Paul Howarth <paul@city-fan.org> - 1.116-2
217- move BR: perl(Test::Perl::Critic) to author test section where it belongs
218- run the author tests if we're not bootstrapping
219
220* Mon May 16 2011 Paul Howarth <paul@city-fan.org> - 1.116-1
221- update to 1.116
222  - BuiltInFunctions::ProhibitLvalueSubstr does not report violations if the
223    document contains an explicit 'use n.nnn;' where the version is before
224    5.005 (CPAN RT#59112)
225  - Documentation::RequirePodSections no longer blows up on code having POD but
226    no =head1 (CPAN RT#67231)
227  - RegularExpressions::ProhibitUnusedCapture should more reliably find things
228    like s/(a)/${1}2/ (CPAN RT#67273)
229  - ValuesAndExpressions::ProhibitMagicNumbers and Module::RequireVersionVar
230    now treat versions passed as the second argument of a 'package' statement
231    the same as versions declared as 'our $VERSION ...' (CPAN RT#67159)
232  - Variables::RequireLexicalLoopIterators does not report violations if the
233    document contains an explicit 'use n.nnn;' where the version is before
234    5.004 (CPAN RT#67760)
235
236* Fri Apr  1 2011 Paul Howarth <paul@city-fan.org> - 1.115-1
237- update to 1.115
238  - fatal error in RegularExpressions::ProhibitUnusedCapture here document
239    check (CPAN RT#67116)
240  - internal POD error in Documentation::RequirePodLinksIncludeText
241    (CPAN RT#67012)
242
243* Tue Mar 29 2011 Paul Howarth <paul@city-fan.org> 1.114-1
244- update to 1.114
245  - Documentation::RequirePodLinksIncludeText now handles nested POD formatting
246    (CPAN RT#65569)
247  - clarified relation of severity numbers to names in Perl::Critic POD
248    (CPAN RT#66017)
249  - removed caveats from Variables::RequireLocalizedPunctuationVars, no longer
250    necessary with PPI 1.208 (CPAN RT#65514)
251  - have InputOutput::RequireBriefOpen attempt to expand scope as necessary to
252    deal with the case where the open() and the corresponding close() are not
253    in the same scope (CPAN RT#64437)
254  - RegularExpressions::ProhibitUnusedCapture now looks inside double-quotish
255    things (CPAN RT#38942)
256  - RegularExpressions::ProhibitUnusedCapture now takes logical alternation
257    into account, so that (e.g.)
258        if ( /(a)/ || /(b)/ ) {
259                say $1;
260        }
261    is not a violation (CPAN RT#38942)
262  - ValuesAndExpressions::ProhibitCommaSeparatedStatements now recognizes
263    'return { foo => 1, bar => 2 }' as containing a hash constructor, not a
264    block; this was fixed by PPI 1.215 (CPAN RT#61301)
265  - ValuesAndExpressions::ProhibitCommaSeparatedStatements now recognizes
266    'bless { foo => 1, bar => 2 }' as containing a hash constructor, not a
267    block; this was fixed by PPI 1.215 (CPAN RT#64132)
268- bump PPI version requirement to 1.215
269- BR/R: perl(Pod::Parser)
270- BR/R: optional modules perl(Readonly::XS), perl(Term::ANSIColor) >= 2.02
271- BR: perl(Pod::Spell) >= 1
272- BR: perl(Text::ParseWords) >= 3
273- add runtime deps for optional modules perl(File::HomeDir), perl(File::Which)
274- drop redundant (for modern rpm) BuildRoot tag and buildroot cleaning
275- split Test::Perl::Critic::Policy off into its own package
276- add dependency on aspell for Perl::Critic::Policy::Documentation::PodSpelling
277- add version 1.889 requirement for perl(Email::Address)
278- add version 0.19 requirement for perl(List::MoreUtils)
279- add version 0.010 requirement for perl(PPIx::Regexp)
280- add version 1.001 requirement for perl(PPIx::Utilities::Statement)
281- add version 0.77 requirement for perl(version)
282- drop unused buildreq perl(Test::Spelling)
283- drop bogus buildreqs perl(lib) and perl(base)
284- add option for building with author tests enabled (--with authortests)
285- add patch with words not in Fedora dictionaries for spell check tests
286- split buildreqs into separate sections for build process, the module, the
287  main test suite and the author tests
288
289* Mon Mar  7 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.113-1
290- update to 1.113
291
292* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.111-2
293- rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
294
295* Mon Jan  3 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.111-1
296- update
297
298* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.108-2
299- rebuild to fix problems with vendorarch/lib (#661697)
300
301* Fri Aug  6 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.108-1
302- update
303
304* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.105-4
305- mass rebuild with perl-5.12.0
306
307* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.105-3
308- rebuild against perl 5.10.1
309
310* Wed Nov 25 2009 Stepan Kasal <skasal@redhat.com> - 1.105-2
311- use the new filtering macros (verified that the resulting provides
312  and requires are the same)
313- add version to perl(PPI) require (#541020)
314
315* Wed Oct  7 2009 Stepan Kasal <skasal@redhat.com> - 1.105-1
316- new upstream version
317- update build requires
318
319* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.098-3
320- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
321
322* Sun May 17 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.098-1
323- "neaten" filtering
324- auto-update to 1.098 (by cpan-spec-update 0.01)
325- added a new br on perl(strict) (version 0)
326- added a new br on perl(Scalar::Util) (version 0)
327- added a new br on perl(File::Temp) (version 0)
328- added a new br on perl(Pod::Usage) (version 0)
329- added a new br on perl(File::Find) (version 0)
330- added a new br on perl(PPI::Token::Whitespace) (version 1.203)
331- added a new br on perl(charnames) (version 0)
332- added a new br on perl(PPI::Document::File) (version 1.203)
333- added a new br on perl(File::Spec::Unix) (version 0)
334- added a new br on perl(List::Util) (version 0)
335- added a new br on perl(lib) (version 0)
336- added a new br on perl(Getopt::Long) (version 0)
337- added a new br on perl(Exporter) (version 0)
338- added a new br on perl(Test::More) (version 0)
339- added a new br on perl(overload) (version 0)
340- added a new br on perl(base) (version 0)
341- added a new br on perl(version) (version 0)
342- added a new br on perl(Carp) (version 0)
343- added a new br on perl(warnings) (version 0)
344- added a new br on perl(PPI::Document) (version 1.203)
345- added a new br on perl(File::Basename) (version 0)
346- added a new br on perl(PPI::Token::Quote::Single) (version 1.203)
347- added a new br on perl(File::Spec) (version 0)
348- added a new br on perl(File::Path) (version 0)
349- added a new br on perl(Pod::PlainText) (version 0)
350- added a new br on perl(Pod::Select) (version 0)
351- added a new br on perl(PPI::Node) (version 1.203)
352- added a new br on perl(English) (version 0)
353
354* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.092-2
355- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
356
357* Mon Sep 08 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.092-1
358- update to 1.092
359
360* Sun Mar 09 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.082-1
361- update to 1.082
362- resolve BZ#431577
363- add t/ examples/ extras/ tools/, and filter
364
365* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.080-3
366- Rebuild for perl 5.10 (again)
367
368* Mon Jan 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.080-2
369- add missing BR: perl-Exception-Class
370
371* Mon Jan 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.080-1
372- bump to 1.080
373
374* Mon Jan 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.053-2
375- rebuild for new perl
376
377* Sat Jun 16 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.053-1
378- Update to 1.053.
379
380* Tue Mar 20 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.05-1
381- Update to 1.05.
382
383* Thu Feb 15 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.03-1
384- Update to 1.03.
385
386* Fri Jan 26 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.01-2
387- Bumping release (forgot to commit sources and .cvsignore changes).
388
389* Fri Jan 26 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.01-1
390- Update to 1.01.
391- New build requirement: perl(Test::Memory::Cycle).
392
393* Thu Jan 25 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.23-2
394- perl(Set::Scalar) is no longer required.
395
396* Wed Jan 24 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.23-1
397- Update to 0.23.
398- New requirement: perl(B::Keywords).
399- Author tests coverage improved.
400
401* Sun Dec 17 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.22-2
402- Enabled author tests.
403- BR perl(HomeDir).
404
405* Sun Dec 17 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.22-1
406- Update to 0.22.
407
408* Sat Nov 11 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.21-1
409- Update to 0.21.
410- New BR: perl(Set::Scalar).
411
412* Sat Sep 16 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.2-1
413- First build.
Note: See TracBrowser for help on using the repository browser.